Прострочений сертифікат пакета для комп’ютерів Mac

Термін дії сертифіката, що використовується для реєстрації інсталяторів і пакетів оновлень Acrobat або Reader для комп’ютерів Mac, завершився 21 лютого 2017 року. Через завершення терміну дії сертифіката система macOS постійно повідомляє про те, що більшість інсталяторів і пакетів виправлень Acrobat або Reader не зареєстровано чи прострочено.

Це вплинуло на такі повні пакети інсталяторів і виправлень:

  • пакети Acrobat DC Continuous до версії 15.016.20041;
  • пакети Acrobat Reader DC Continuous до версії 15.016.20039;
  • пакети Acrobat DC 2015 до версії 15.006.30173;
  • пакети Acrobat Reader DC 2015 до версії 15.006.30172;
  • пакети Acrobat і Reader XI до версії 11.0.17.

Якщо ви спробуєте встановити ці пакети, з’явиться таке попереджувальне повідомлення:

Термін дії сертифіката для пакета інсталятора завершився

Якщо ви спробуєте встановити ці пакети за допомогою командного рядка, система Mac OS заблокує цю дію, і вам не вдасться встановити пакети.

Рішення: завантажте найновішу версію або пакет виправлень

Повні інсталятори

Ця проблема не поширюється на повні інсталятори найновішої версії. Якщо у вашому повному пакеті інсталятора Acrobat або Reader з’являється попередження, завантажте найновішу версію потрібного пакета.

Пакети інсталяторів за цим посиланням оновлено, тому у вас не мають виникати проблеми з установленням їхніх найновіших версій. 

Пакети виправлень

Найновіші пакети виправлень для всіх продуктів не мають цієї проблеми. Компанія Adobe рекомендує встановлювати останні версії оновлень:

  • 15.023.20056 для Acrobat і Reader DC Continuous;
  • 15.006.30280 для Acrobat і Reader 2015;
  • 11.0.19 для пакетів виправлень Acrobat і Reader XI.

Ще раз наголошуємо, що в цих пакетах не з’являються попередження, тому їх можна встановлювати без жодних проблем. Проте якщо випадково натиснути значок блокування й звернутися до ланцюжка сертифікатів, який використовувався для реєстрації пакета, з’явиться таке повідомлення про прострочення сертифіката:

Повідомлення про прострочення сертифіката

При цьому реєстрація пакета залишиться дійсною й ОС жодним чином не заблокує процес установлення. Щоб перевірити це, скористайтеся командою pkgutil: 

pkgutil --check-signature <шлях до файлу .pkg>

Нижче наведено зразок відповіді термінального сервера для пакета Acrobat версії 11.0.19, у якому вказано, що пакет зареєстровано за допомогою сертифіката, якому ОС може довіряти.

Команда pkgutil

Цей документ захищено ліцензією Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Публікації Twitter™ і Facebook не підпадають під умови ліцензії Creative Commons.

Юридична інформація   |   Політика мережевої конфіденційності